# 
#
#  Hamburg University of Technology
#    Institute of Telematics
# 
#    Created on: Jun 18, 2013
#       Author: homac
#
#
# 
# A small helper script to start programs using mmprof to 
# profile their memory usage.
#
# Customize the LIBDIR path in mma.sh to point to the directory which contains 
# the libmmstats.so library.
#
#!/bin/bash




# module to be used by mma
MODULE=mmstats

# main script to be called
SCRIPT=mma.sh


# try to determine where the mma.sh script is located

SCRIPTDIR=`dirname $0`

if [ -n "${SCRIPTDIR}" ] ; then
	SCRIPT=${SCRIPTDIR}/${SCRIPT}
fi



# forward to main script
${SCRIPT} ${MODULE} $@
