/**
 * Hamburg University of Technology
 * Institute of Telematics
 *
 *  Created on: Apr 16, 2013
 *      Author: homac
 */

#ifndef _MMPROF_LOG_H_
#define _MMPROF_LOG_H_


#include <stdio.h>
#include <stdarg.h>

#include "config.h" /* controls whether we will output info messages */

int  log_init(const char* file);
void log_fini (void);
void log_flush(void);
void log_error(const char* fmt, ...);
void log_warning(const char* fmt, ...);
void log_info(const char* fmt, ...);
void log_printf(const char* fmt, ...);

#endif /* _MMPROF_LOG_H_ */
