/*
 * module.h
 *
 *  Created on: 19 Nov 2016
 *      Author: homac
 */

#ifndef MODULE_H_
#define MODULE_H_

#include <malloc.h>
#include <stdlib.h>



/** whether library has been initialized or not */
#define MMA_INITIALIZED 1
/** whether library is logging */
#define MMA_SUSPENDED      2



extern int mma_state;
extern __thread int module_ignore;


void module_init(void);
void module_fini(void);


void module_suspend(void);
void module_resume(void);



#endif /* MODULE_H_ */
